Loading...
Searching...
No Matches
juce::XEmbedComponentOptions Class Reference

## Detailed Description

Options for constructing an XEmbedComponent.

See also
  XEmbedComponent

The documentation for this class was generated from the following file:

- juce_gui_extra/embedding/juce_XEmbedComponent.h

## Public Member Functions

XEmbedComponentOptions | withClientWindow (unsigned long x) const
| Returns a copy of these options with the client window id specified.
XEmbedComponentOptions | withWantsKeyboardFocus (bool x) const
| Specifies that this Component wants to receive and forward keyboard focus.
XEmbedComponentOptions | withAllowForeignWidgetToResizeComponent (bool x=true) const
| Specifies that the embedded window is allowed to resize the Component.
XEmbedComponentOptions | withIgnoreXembedMapped (bool x=true) const
| When this option is enabled the client window will be unconditionally mapped regardless of the value of the XEMBED_MAPPED flag.
auto | getClientWindow () const
bool | getWantsKeyboardFocus () const
bool | getAllowForeignWidgetToResizeComponent () const
bool | getIgnoreXembedMapped () const

## Member Functions

## withClientWindow()

XEmbedComponentOptions juce::XEmbedComponentOptions::withClientWindow | ( | unsigned long | x | ) | const

inline nodiscard

Returns a copy of these options with the client window id specified.

This corresponds to the client initiated embedding workflow.

Omitting this option corresponds to the host initiated embedding workflow.

References jassert, juce::withMember(), and x.

## withWantsKeyboardFocus()

XEmbedComponentOptions juce::XEmbedComponentOptions::withWantsKeyboardFocus | ( | bool | x | ) | const

inline nodiscard

Specifies that this Component wants to receive and forward keyboard focus.

The default value is true.

References juce::withMember(), and x.

## withAllowForeignWidgetToResizeComponent()

XEmbedComponentOptions juce::XEmbedComponentOptions::withAllowForeignWidgetToResizeComponent | ( | bool | x = true | ) | const

inline nodiscard

Specifies that the embedded window is allowed to resize the Component.

The default value is false.

References juce::withMember(), and x.

## withIgnoreXembedMapped()

XEmbedComponentOptions juce::XEmbedComponentOptions::withIgnoreXembedMapped | ( | bool | x = true | ) | const

inline nodiscard

When this option is enabled the client window will be unconditionally mapped regardless of the value of the XEMBED_MAPPED flag.

You should generally not use this option. The default value is false.

It's used internally by JUCE plugin hosting to accommodate some plugins that report XEmbedInfo compatibility, but don't set the flag.

References juce::withMember(), and x.

## getClientWindow()

auto juce::XEmbedComponentOptions::getClientWindow | ( |  | ) | const

inline nodiscard

See also
  withClientWindow()

## getWantsKeyboardFocus()

bool juce::XEmbedComponentOptions::getWantsKeyboardFocus | ( |  | ) | const

inline nodiscard

See also
  withWantsKeyboardFocus()

## getAllowForeignWidgetToResizeComponent()

bool juce::XEmbedComponentOptions::getAllowForeignWidgetToResizeComponent | ( |  | ) | const

inline nodiscard

See also
  withAllowForeignWidgetToResizeComponent()

## getIgnoreXembedMapped()

bool juce::XEmbedComponentOptions::getIgnoreXembedMapped | ( |  | ) | const

inline nodiscard

See also
  withIgnoreXembedMapped()

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited